/**
 * DeliveryAddressLine2.java
 *
 * File generated from the medication2::DeliveryAddressLine2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration DeliveryAddressLine2.
 *
 * 
 */

@XmlType(name = "DeliveryAddressLine")
@XmlEnum
@XmlRootElement(name = "DeliveryAddressLine2")
public enum DeliveryAddressLine2 {
	@XmlEnumValue("DAL")
	DAL("DAL"),
	@XmlEnumValue("DINST")
	DINST("DINST"),
	@XmlEnumValue("DINSTA")
	DINSTA("DINSTA"),
	@XmlEnumValue("DINSTQ")
	DINSTQ("DINSTQ"),
	@XmlEnumValue("DMOD")
	DMOD("DMOD"),
	@XmlEnumValue("DMODID")
	DMODID("DMODID");
	
	private final String value;

    DeliveryAddressLine2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static DeliveryAddressLine2 fromValue(String v) {
        for (DeliveryAddressLine2 c: DeliveryAddressLine2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
